Subject: [Roll] MRHOF comments from JP - Using ETX without metric container

From: Omprakash Gnawali <[email-masked]>
Date: Sun, 8 May 2011 21:47:11 -0700

On Sun, May 8, 2011 at 8:55 AM, JP Vasseur <[email-masked]> wrote:
...

> 4) In the absence of metric container, MRHOF uses ETX as its metric. It
>
>    locally computes the ETX of links to its neighbors and adds this
>    value to their advertised Rank to compute the associated Rank of
>    routes.  Once parent selection and rank computation is performed
>    using the ETX metric, the node advertises a Rank equal to the ETX
>    cost and SHOULD NOT include a metric container in its DIO messages.
>
> JP> You are suggesting here to not use the metric container if the link
> metric in use is
> the ETX and embed it in the rank. Don't you think that this may lead to
> interoperability
> issues ? How do I need when receiving a DIO if the value of the rank
> reflects the ETX or
> some other scalar ? By looking at the OCP, deduct that there is no container
> ? Wouldn't it
> be "cleaner" to simply use of the metric container and use the ETX metric
> defined in
> draft-ietf-roll-metrics ?

It is perfectly fine to use the metric containers if we want to use
the ETX metric. But if there is no metric container, we assume that we
are using the ETX metric. I think your interpretation is slightly
different from what I had in mind so perhaps this warrants rewording
and making it explicit that it is fine to use metric container with
the ETX metric.

- om_p

---

From: JP Vasseur <[email-masked]>
Date: Mon, 9 May 2011 05:25:04 -0700

Thanks om_p - see below

> and making it explicit that it is fine to use metric container with
If at all possible, I would recommend one way to carry the ETX with the
metric container.

Cheers.

JP.

---

From: Omprakash Gnawali <[email-masked]>
Date: Mon, 9 May 2011 09:19:37 -0700

> If at all possible, I would recommend one way to carry the ETX with the

There was a strong case made for simplification when Rank is an
identity function so that we don't have to incur the overhead of
metric container for something basic like ETX. Richard Kelsey made
this initial comment on this topic:

"I would like to be able to use ETX as the rank directly,
without the additional overhead of a metric container.  It
seems silly to send the same value twice, once as the rank
and once wrapped in a metric container."

There were a few emails discussing this topic after this initial comment.

If you have a different opinion on this matter, we can definitely discuss that.

- om_p

---

From: JP Vasseur <[email-masked]>
Date: Mon, 9 May 2011 14:41:05 -0700

> If you have a different opinion on this matter, we can definitely discuss that.
The question is how to guarantee interop is another routing metrics wants to adopt
the same approach ?

Thanks.

JP.

---

From: Omprakash Gnawali <[email-masked]>
Date: Mon, 9 May 2011 16:23:14 -0700

> The question is how to guarantee interop is another routing metrics wants to

I think there are three cases here:

1. etx-no-container and etx-no-container

That is not a problem because both the networks are using etx metric
without the metric container.

2. etx-container and etx-container

That is not a problem because both the networks are using the etx
metric with the metric container.

3. etx-container and etx-no-container

This is a problem because one network uses the etx metric with the
container and another uses the etx metric without the container.

I believe you are concerned about the third case.

One way to make these networks inter-operate is by saying if you want
to use the etx metric, you never use it inside a container. You use it
as rank directly.

Other ideas are welcome.

- om_p

---

From: Philip Levis <[email-masked]>
Date: Thu, 12 May 2011 08:53:51 -0700

> to use the etx metric, you never use it inside a container. You use it

This makes the most sense to me.

Phil